OpenShot Audio Library | OpenShotAudio 0.4.0

Loading...
Searching...
No Matches
Public Member Functions | List of all members
juce::universal_midi_packets::U32ToBytestreamHandler::Factory Class Reference

`#include <juce_UMPU32InputHandler.h>`

## Public Member Functions
| Factory (MidiInputCallback *c)
std::unique_ptr< U32ToBytestreamHandler > | operator() (MidiInput &i) const

## Detailed Description

Provides an `operator()` which can create an input handler for a given MidiInput.

All handler classes should have a similar Factory to facilitate creation of handlers in generic contexts.

Definition at line 60 of file juce_UMPU32InputHandler.h.

## Constructor & Destructor Documentation

## ◆ Factory()

juce::universal_midi_packets::U32ToBytestreamHandler::Factory::Factory | ( | MidiInputCallback * | c | ) |
| inline explicit

Definition at line 63 of file juce_UMPU32InputHandler.h.

## Member Function Documentation

## ◆ operator()()

std::unique_ptr< U32ToBytestreamHandler > juce::universal_midi_packets::U32ToBytestreamHandler::Factory::operator() | ( | MidiInput & | i | ) | const
| inline

Definition at line 66 of file juce_UMPU32InputHandler.h.

The documentation for this class was generated from the following file:

- juce_UMPU32InputHandler.h